import { Plugin } from '../plugin';
export declare class StoragePlugin extends Plugin {
    private storageInitializer;
    get storage(): import('./storage-service').StorageService | undefined;
    protected init(): Promise<void> | void;
    protected destroy(): Promise<void> | void;
}
